You are not logged in.

#1 2018-01-18 21:52:01

42578
Member
Registered: 2017-12-22
Posts: 43

Steam + backports

Hi. I wan't to install steam in my laptop.

I follow this instructions (for 64-bits): https://wiki.debian.org/Steam#A64-bit_s … 28amd64.29


I made the step 1 and the step 2, but when I made the step 3 I have this:

Note : to select "steam:i386" instead of  
       virtual package "steam"
The following NEW packages will be installed:
  gcc-4.9-base:i386{a} geoclue-2.0{a} libbsd0:i386{a} libc6:i386{a} 
  libc6-i686:i386{a} libdrm-intel1:i386{a} libdrm-nouveau2:i386{ab} 
  libdrm-radeon1:i386{a} libdrm2:i386{ab} libedit2:i386{a} libelf1:i386{a} 
  libexpat1:i386{a} libffi6:i386{a} libgcc1:i386{a} libgl1-mesa-dri:i386{ab} 
  libgl1-mesa-glx:i386{ab} libglapi-mesa:i386{ab} 
  libjavascriptcoregtk-3.0-0{a} libllvm3.5:i386{a} libpciaccess0:i386{a} 
  libstdc++6:i386{a} libtinfo5:i386{a} libtxc-dxtn-s2tc0:i386{a} 
  libudev1:i386{a} libutempter0{a} libwebkitgtk-3.0-0{a} 
  libwebkitgtk-3.0-common{a} libx11-6:i386{a} libx11-xcb1:i386{a} 
  libxau6:i386{a} libxcb-dri2-0:i386{a} libxcb-dri3-0:i386{a} 
  libxcb-glx0:i386{a} libxcb-present0:i386{a} libxcb-sync1:i386{a} 
  libxcb1:i386{a} libxdamage1:i386{a} libxdmcp6:i386{a} libxext6:i386{a} 
  libxfixes3:i386{a} libxinerama1:i386{a} libxshmfence1:i386{a} 
  libxxf86vm1:i386{a} steam:i386 xbitmaps{a} xterm{a} zenity{a} 
  zenity-common{a} zlib1g:i386{a} 
0 packages updated, 49 new ones installed, 0 to be removed and 0 not upgraded.
You need to get 36.2 MB of files. After unpacking, 124 MB will be used.
The following packages have unmet dependencies:
 libgl1-mesa-dri: Rip: libgl1-mesa-dri: i386 (! = 13.0.6-1 ~ bpo8 + 1) but 10.3.2-1 + deb8u1 is to be installed.
 libgl1-mesa-dri: i386: Spoil: libgl1-mesa-dri (! = 10.3.2-1 + deb8u1) but 13.0.6-1 ~ bpo8 + 1 is installed.
 libglapi-table: Rip: libglapi-table: i386 (! = 13.0.6-1 ~ bpo8 + 1) but 10.3.2-1 + deb8u1 is to be installed.
 libglapi-table: i386: Rip: libglapi-table (! = 10.3.2-1 + deb8u1) but 13.0.6-1 ~ bpo8 + 1 is installed.
 libgl1-mesa-glx: Rip: libgl1-mesa-glx: i386 (! = 13.0.6-1 ~ bpo8 + 1) but 10.3.2-1 + deb8u1 is to be installed.
 libgl1-mesa-glx: i386: Spoof: libgl1-mesa-glx (! = 10.3.2-1 + deb8u1) but 13.0.6-1 ~ bpo8 + 1 is installed.
 libdrm-nouveau2: Scratch: libdrm-nouveau2: i386 (! = 2.4.74-1 ~ bpo8 + 1) but 2.4.58-2 is to be installed.
 libdrm-nouveau2: i386: Crack: libdrm-nouveau2 (! = 2.4.58-2) but 2.4.74-1 ~ bpo8 + 1 is installed.
 libdrm2: Rip: libdrm2: i386 (! = 2.4.74-1 ~ bpo8 + 1) but 2.4.58-2 is to be installed.
 libdrm2: i386: Crack: libdrm2 (! = 2.4.58-2) but 2.4.74-1 ~ bpo8 + 1 is installed.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
Internal error: found 2 (choice -> promotion) mappings for a single choice.
The following actions will resolve these dependencies:

       Remove the following packages:                                               
1)       bunsen-pipemenus                                                          
2)       chromium                                                                  
3)       compton                                                                   
4)       filezilla                                                                 
5)       gstreamer1.0-plugins-bad                                                  
6)       gvfs                                                                      
7)       gvfs-backends                                                             
8)       gvfs-daemons                                                              
9)       gvfs-fuse                                                                 
10)      i965-va-driver                                                            
11)      libdrm-amdgpu1                                                            
12)      libdrm-intel1                                                             
13)      libdrm-nouveau2                                                           
14)      libdrm-radeon1                                                            
15)      libdrm2                                                                   
16)      libegl1-mesa                                                              
17)      libgbm1                                                                   
18)      libgl1-mesa-dri                                                           
19)      libgl1-mesa-glx                                                           
20)      libglapi-mesa                                                             
21)      libgles1-mesa                                                             
22)      libgles2-mesa                                                             
23)      libglew1.10                                                               
24)      libgltf-0.0-0                                                             
25)      libglu1-mesa                                                              
26)      libgstreamer-plugins-bad1.0-0                                             
27)      libgtkglext1                                                              
28)      libopencv-calib3d2.4                                                      
29)      libopencv-contrib2.4                                                      
30)      libopencv-core2.4                                                         
31)      libopencv-features2d2.4                                                   
32)      libopencv-flann2.4                                                        
33)      libopencv-highgui2.4                                                      
34)      libopencv-imgproc2.4                                                      
35)      libopencv-legacy2.4                                                       
36)      libopencv-ml2.4                                                           
37)      libopencv-objdetect2.4                                                    
38)      libopencv-video2.4                                                        
39)      libreoffice-base-core                                                     
40)      libreoffice-core                                                          
41)      libreoffice-gtk                                                           
42)      libreoffice-writer                                                        
43)      libva-drm1                                                                
44)      libva-x11-1                                                               
45)      libwayland-egl1-mesa                                                      
46)      libwxgtk3.0-0                                                             
47)      libxatracker2                                                             
48)      mesa-utils                                                                
49)      nvidia-driver                                                             
50)      primus                                                                    
51)      primus-libs                                                               
52)      va-driver-all                                                             
53)      vdpau-va-driver                                                           
54)      vlc                                                                       
55)      x11-utils                                                                 
56)      xorg                                                                      
57)      xserver-xorg                                                              
58)      xserver-xorg-core                                                         
59)      xserver-xorg-input-all                                                    
60)      xserver-xorg-input-evdev                                                  
61)      xserver-xorg-input-mouse                                                  
62)      xserver-xorg-input-synaptics                                              
63)      xserver-xorg-input-vmmouse                                                
64)      xserver-xorg-video-all                                                    
65)      xserver-xorg-video-ati                                                    
66)      xserver-xorg-video-cirrus                                                 
67)      xserver-xorg-video-fbdev                                                  
68)      xserver-xorg-video-intel                                                  
69)      xserver-xorg-video-mach64                                                 
70)      xserver-xorg-video-mga                                                    
71)      xserver-xorg-video-modesetting                                            
72)      xserver-xorg-video-neomagic                                               
73)      xserver-xorg-video-nouveau                                                
74)      xserver-xorg-video-nvidia                                                 
75)      xserver-xorg-video-openchrome                                             
76)      xserver-xorg-video-r128                                                   
77)      xserver-xorg-video-radeon                                                 
78)      xserver-xorg-video-savage                                                 
79)      xserver-xorg-video-siliconmotion                                          
80)      xserver-xorg-video-sisusb                                                 
81)      xserver-xorg-video-tdfx                                                   
82)      xserver-xorg-video-trident                                                
83)      xserver-xorg-video-vesa                                                   
84)      xserver-xorg-video-vmware                                                 

       Keep the following packages in their current version:                           
85)      libwebkitgtk-3.0-0 [Not installed]                                        
86)      zenity [Not installed]                                                    

       Leave the following dependencies unresolved:                              
87)      evince recomend gvfs                                                     
88)      file-roller recomend gvfs                                                
89)      gvfs-common recomend gvfs                                                
90)      libva1 recomend va-driver-all | va-driver                                
91)      lightdm recomend xserver-xorg                                            
92)      thunar recomend gvfs                                                     
93)      xdg-utils recomend x11-utils                                             
94)      xinit recomend xserver-xorg | xserver                                    
95)      xserver-xorg recomend libgl1-mesa-dri                                    
96)      xserver-xorg-core recomend libgl1-mesa-dri (>= 7.10.2-4)                 
97)      xterm recomend x11-utils                                                 
98)      steam:i386 recomend zenity:i386                                          
99)      bunsen-configs recomend bunsen-pipemenus (>= 8.9-1)                      
100)     bunsen-conky recomend bunsen-pipemenus                                   
101)     bumblebee recomend virtualgl | primus                                    
102)     libgl1-mesa-glx recomend libgl1-mesa-dri                                 
103)     nvidia-driver-bin recomend nvidia-driver                                 
104)     nvidia-kernel-dkms recomend nvidia-driver (>= 375.82) | libcuda1 (>= 375.

Is that safe to do?

Please, help me.

Thanks.

Last edited by Head_on_a_Stick (2018-01-19 07:15:50)

Offline

#2 2018-01-18 22:55:16

obscurant
Member
Registered: 2017-08-06
Posts: 85
Website

Re: Steam + backports

Oh no. Don't do that. Someone here will have better advice than I can give, but I usually download the .deb from steam.com and it installs / updates Steam fine.

That i386 architecture install from step 2 might need to be fixed before you proceed though. It wants to replace all your x64 drivers and applications with i386 versions.

Last edited by obscurant (2018-01-18 22:55:50)

Offline

#3 2018-01-19 00:05:23

stevep
MX Linux Developer
Registered: 2016-08-08
Posts: 228

Re: Steam + backports

It's because you have installed the jessie-backports newer version of the Mesa libraries on your 64-bit system.  Since backports packages are set up not to be installed by default, you need to specify that you want to install the jessie-backports matching i386 packages.  See www.backports.org for instructions.

Offline

#4 2018-01-19 07:20:23

Head_on_a_Stick
Moderator
From: London
Registered: 2015-09-29
Posts: 7,975
Website

Re: Steam + backports

42578 wrote:

Is that safe to do?

No, not at all, the command is asking if you want it to remove the X server so you should say "no thanks" wink

After you press "n" you will find that `aptitude` will offer you another choice! yikes

If you don't like that, say "no" to that as well.

Keep going until it offers to install the backported i386 versions of the drivers you need and at that point say "yes".


"If we can't fix it, it ain't broke." — The Maintainer's Motto (from Lt Col Walt Weir, US Army)

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#5 2018-01-19 18:24:08

42578
Member
Registered: 2017-12-22
Posts: 43

Re: Steam + backports

Should I say yes to this? :


The following actions will address these dependencies:

     Keep the following packages in their current version:
1) libdrm-intel1: i386 [Not Installed]
2) libdrm-nouveau2: i386 [Not Installed]
3) libdrm-radeon1: i386 [Not Installed]
4) libdrm2: i386 [Not Installed]
5) libgl1-mesa-dri: i386 [Not Installed]
6) libgl1-mesa-glx: i386 [Not Installed]
7) libglapi-table: i386 [Not Installed]
8) Steam: i386 [Not Installed]

     Leave the following dependencies unresolved:
9) libgl1-mesa-glx: i386 recommends libgl1-mesa-dri: i386 (> = 7.2)

Last edited by 42578 (2018-01-19 18:24:19)

Offline

#6 2018-01-20 00:50:10

stevep
MX Linux Developer
Registered: 2016-08-08
Posts: 228

Re: Steam + backports

No, keep going until it installs the matching i386 packages from backports.  Make sure you have the backports repo enabled and updated.  You can also use the "-t jessie-backports" flag to speed things up, per the fine instructions.

Last edited by stevep (2018-01-20 00:51:49)

Offline

Board footer

Powered by FluxBB